<?php
/*
Intense Template Name: Product Add To Cart
*/

$product = wc_get_product();
$post = get_post(); 
$intense_custom_post = Intense_Custom_Post::get_metadata();

$intense_post_type = $intense_custom_post['post_type'];

if ( ! $product || ! $product->is_visible() ) {
	return;
}

if ( $intense_custom_post['show_addtocart'] ) {
  echo '<br>';
  echo apply_filters( 'woocommerce_loop_add_to_cart_link',
    sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" data-quantity="%s" class="button %s product_type_%s">%s</a>',
      esc_url( $product->add_to_cart_url() ),
      esc_attr( $product->id ),
      esc_attr( $product->get_sku() ),
      esc_attr( isset( $quantity ) ? $quantity : 1 ),
      $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
      esc_attr( $product->product_type ),
      esc_html( $product->add_to_cart_text() )
    ),
  $product );
}
